org.eclipse.mat.ui.snapshot.panes

## Class OQLPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane
  - - org.eclipse.mat.ui.editor.CompositeHeapEditorPane
    - - org.eclipse.mat.ui.snapshot.panes.OQLPane

    public class OQLPane
    extends CompositeHeapEditorPane

### Constructor Summary

Constructors
Constructor and Description
`OQLPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contributeToToolBar(IToolBarManager manager)`
`void` `createExceptionPane(Exception cause, String queryString)`
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`AbstractEditorPane` `getEmbeddedPane()`
`String` `getTitle()`
`Image` `getTitleImage()`
`void` `initWithArgument(Object param)`
`void` `setFocus()`

### Methods inherited from class org.eclipse.mat.ui.editor.CompositeHeapEditorPane

`addSelectionChangedListener, closePage, getSelection, removeSelectionChangedListener, selectionChanged, setSelection`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, doSave, doSaveAs, getAdapter, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleToolTip, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OQLPane

    public OQLPane()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `AbstractEditorPane`

#### contributeToToolBar

    public void contributeToToolBar(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `CompositeHeapEditorPane`

#### initWithArgument

    public void initWithArgument(Object param)

Overrides:
  `initWithArgument` in class `AbstractEditorPane`

#### setFocus

    public void setFocus()

Overrides:
  `setFocus` in class `AbstractEditorPane`

#### createExceptionPane

    public void createExceptionPane(Exception cause,
                                    String queryString)
                             throws PartInitException

Throws:
  `PartInitException`

#### getTitle

    public String getTitle()

#### getTitleImage

    public Image getTitleImage()

Overrides:
  `getTitleImage` in class `AbstractEditorPane`

#### getEmbeddedPane

    public AbstractEditorPane getEmbeddedPane()